
package de.ivu.elect.business.benutzerverwaltung.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.benutzerverwaltung.entity.Rolle;
import de.ivu.elect.business.benutzerverwaltung.boundary.RolleDAO;
import de.ivu.elect.business.benutzerverwaltung.boundary.RolleCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractRolleCreate {

  @Inject
  protected RolleDAO dao;

    @Inject
    transient Event<RolleCreateEvent> createEvent;



  


public void save(Rolle entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(Rolle entity) {
        createEvent.fire(new RolleCreateEvent(entity));
  }

}
